package com.elitesland.metadata.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <pre>作用说明</pre>
 *
 * @author mir
 * @date 11/29/2020 12:35 AM
 */
@Data
@Accessors(chain = true)
@ApiModel("元数据-自选分类分类定义")
public class MetaCatDefVO implements Serializable {

    private static final long serialVersionUID = 1063494262488377806L;

    @ApiModelProperty("记录ID")
    Long id;

    @ApiModelProperty(value = "自选分类定义ID")
    Long defId;

    @ApiModelProperty(value = "数据库字段名称")
    String fieldName;

    @ApiModelProperty(value = "顺序号")
    Integer sortNo;

    @ApiModelProperty(value = "UDC领域码")
    String domainCode;

    @ApiModelProperty(value = "UDC分类码")
    String udcCode;

    @ApiModelProperty(value = "默认UDC名称")
    String defaultUdcName;
}
